Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041245
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 16:282019-08-25 06:50
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision63a0a24cf4ba
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041245: DocFINReconciliation.createFact is not using bind-params

DescriptionSeveral HQL in this method are not using bind-params.

When fixing please apply new HQL-style to all HQL in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041436 closedcollazoandy4 Apply HQL style guide to DocFINReconciliation 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113631)
collazoandy4 (developer)
2019-07-24 19:41

Test Plan
  Go to Financial Account and select Caja record
    In Account Configuration tab fill out the Cleared Payment Account field for both General Ledger records
  Create a new Sales Invoice for Alimentos y Supermercados, S.A BP, Total amount: 100, Payment Method: Al contado
    Complete and Pay the invoice
  Create a new Purchase for Bebidas Alegres, S.L. BP, Total amount: 100, Payment Method: Al contado
    Complete and Pay the invoice
  Go to Financial Account and select Caja record
    Create a new reconciliation for the previous transactions created by the invoice
    Post the reconciliation and check the process ends without error
(0114127)
hgbot (developer)
2019-08-22 14:29

Repository: erp/devel/pi
Changeset: 63a0a24cf4ba1907b12b00765422c4b5c4a4b4fc
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 11:34:27 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/63a0a24cf4ba1907b12b00765422c4b5c4a4b4fc [^]

Fixed issue 41245: DocFINReconciliation.createFact is not using bind-params

Added missing bind-params

---
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0114128)
Sandrahuguet (developer)
2019-08-22 14:29

code review + testing ok
(0114260)
hudsonbot (developer)
2019-08-25 06:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2915449dde15 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:28 shuehner New Issue
2019-07-02 16:28 shuehner Assigned To => Triage Finance
2019-07-02 16:28 shuehner Modules => Core
2019-07-02 16:28 shuehner Triggers an Emergency Pack => No
2019-07-02 16:28 shuehner Relationship added blocks 0038136
2019-07-04 12:16 shuehner Target Version => 3.0PR19Q4
2019-07-23 16:17 collazoandy4 Status new => scheduled
2019-07-23 16:17 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-24 19:41 collazoandy4 Note Added: 0113631
2019-08-22 14:13 Sandrahuguet Relationship added related to 0041436
2019-08-22 14:29 hgbot Checkin
2019-08-22 14:29 hgbot Note Added: 0114127
2019-08-22 14:29 hgbot Status scheduled => resolved
2019-08-22 14:29 hgbot Resolution open => fixed
2019-08-22 14:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/63a0a24cf4ba1907b12b00765422c4b5c4a4b4fc [^]
2019-08-22 14:29 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-22 14:29 Sandrahuguet Note Added: 0114128
2019-08-22 14:29 Sandrahuguet Status resolved => closed
2019-08-22 14:29 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-25 06:50 hudsonbot Checkin
2019-08-25 06:50 hudsonbot Note Added: 0114260


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker